## bro-pkg 1.3.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	touch $(BUILDDIR)/html/.nojekyll
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: livehtml
livehtml:
	sphinx-autobuild --ignore "../testing/*" --ignore "*.git/*" --ignore "*.lock" --ignore "*.pyc" --ignore "*.swp" --ignore "*.swpx" --ignore "*.swx" --watch .. --watch ../bropkg -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BroPackageManager.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BroPackageManager.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BroPackageManager"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BroPackageManager"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== testing/packages/rot13/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(Plugin)

include(BroPlugin)

bro_plugin_begin(Demo Rot13)
bro_plugin_cc(src/Plugin.cc)
bro_plugin_bif(src/rot13.bif)
bro_plugin_dist_files(README CHANGES COPYING VERSION)
bro_plugin_end()

=== debian/changelog ===
bro-pkg (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * d/rules fix lintian debian-rules-is-dh_make-template
  * Bump debhelper to compat level 11

 -- Robert Haist <rhaist@mailbox.org>  Tue, 20 Feb 2018 22:33:52 +0100

bro-pkg (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * d/control bump standards version to 4.1.3

 -- Robert Haist <rhaist@mailbox.org>  Fri, 02 Feb 2018 11:15:38 +0100

bro-pkg (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1

 -- Robert Haist <rhaist@mailbox.org>  Sun, 10 Dec 2017 14:42:44 +0100

bro-pkg (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6

 -- Robert Haist <rhaist@mailbox.org>  Mon, 27 Nov 2017 22:09:46 +0100

bro-pkg (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Robert Haist <rhaist@mailbox.org>  Tue, 17 Oct 2017 08:59:37 +0200

bro-pkg (1.2.1-1) unstable; urgency=medium

  * Disable debci
  * Bump standards version to 4.1.1
  * New upstream version 1.2.1

 -- Robert Haist <rhaist@mailbox.org>  Sat, 14 Oct 2017 19:04:31 +0200

bro-pkg (1.2-1) unstable; urgency=medium

  [ Robert Haist ]
  * New upstream version 1.2
  * Bump standards version to 4.1.0
  * Remove patch for import handling (merged upstream)
  * Add new patch for manpage warnings in lintian

  [ Sascha Steinbiss ]
  * Adjust Files: path in d/copyright.

 -- Robert Haist <rhaist@mailbox.org>  Fri, 29 Sep 2017 20:24:02 +0200

bro-pkg (1.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #874704)
  * Add patch: python3-import-of-configparser

 -- Robert Haist <rhaist@mailbox.org>  Sat, 09 Sep 2017 13:38:28 +0200

=== debian/control ===
Source: bro-pkg
Section: net
Priority: optional
Maintainer: Robert Haist <rhaist@mailbox.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-git,
               python3-semantic-version,
               btest
Standards-Version: 4.1.3
Homepage: http://bro-package-manager.readthedocs.io/
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/bro-pkg.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/bro-pkg.git/
#Testsuite: autopkgtest-pkg-python

Package: bro-pkg
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: bro
Description: Bro Package Manager
 The Bro Package Manager makes it easy for Bro users to install and manage
 third party scripts as well as plugins for Bro and BroControl.
 .
 This package installs the executable and support files.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bro-pkg

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/bro/package-manager/tags .*/v?(\d\S+)\.tar\.gz

## bro-pkg 1.4.2

=== debian/changelog ===
bro-pkg (1.4.2-1) unstable; urgency=medium

  * d/watch workaround for #906252
  * d/control bump standards version
  * Refresh manpage patch
  * New upstream version 1.4.2

 -- Robert Haist <rhaist@mailbox.org>  Thu, 16 Aug 2018 22:35:52 +0200

bro-pkg (1.3.12-1) unstable; urgency=medium

  * New upstream version 1.3.12

 -- Robert Haist <rhaist@mailbox.org>  Sun, 24 Jun 2018 18:03:28 +0200

bro-pkg (1.3.11-1) unstable; urgency=medium

  * New upstream version 1.3.11

 -- Robert Haist <rhaist@mailbox.org>  Wed, 30 May 2018 19:03:29 +0200

bro-pkg (1.3.10-1) unstable; urgency=medium

  * New upstream version 1.3.10
  * d/rules fix debian file-contains-trailing-whitespace

 -- Robert Haist <rhaist@mailbox.org>  Mon, 28 May 2018 21:15:18 +0200

bro-pkg (1.3.8-1) unstable; urgency=medium

  * d/control fix lintian ancient-python-version-field
  * New upstream version 1.3.8

 -- Robert Haist <rhaist@mailbox.org>  Mon, 14 May 2018 20:38:02 +0200

bro-pkg (1.3.6-1) unstable; urgency=medium

  * d/control change vcs to salsa
  * d/control bump standards version
  * New upstream version 1.3.6

 -- Robert Haist <rhaist@mailbox.org>  Wed, 02 May 2018 13:29:55 +0200

bro-pkg (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5

 -- Robert Haist <rhaist@mailbox.org>  Wed, 04 Apr 2018 22:22:42 +0200

bro-pkg (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4

 -- Robert Haist <rhaist@mailbox.org>  Tue, 13 Mar 2018 22:33:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
                python3-git,
                python3-semantic-version,
                btest
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: http://bro-package-manager.readthedocs.io/
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/bro-pkg.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/bro-pkg.git/
+Vcs-Git: https://salsa.debian.org/bro-team/bro-pkg.git
+Vcs-Browser: https://salsa.debian.org/bro-team/bro-pkg
 #Testsuite: autopkgtest-pkg-python
 
 Package: bro-pkg

## bro-pkg 1.5.2

=== Makefile ===
VERSION=`cat VERSION`

.PHONY: all
all:

.PHONY: doc
doc: man html

.PHONY: man
man:
	(cd doc && make man && mkdir -p man && cp _build/man/bro-pkg.1 man)

.PHONY: html
html:
	(cd doc && make html)

.PHONY: livehtml
livehtml:
	(cd doc && make livehtml)

.PHONY: gh-pages
gh-pages:
	(cd doc && make clean html)
	(cd doc/_build/html && tar -czf /tmp/bro-pkg-html.tar.gz .)
	git checkout gh-pages
	git rm -rf . && git clean -fdx
	tar -xzf /tmp/bro-pkg-html.tar.gz && rm /tmp/bro-pkg-html.tar.gz
	git add .
	@echo "You are now in the 'gh-pages' branch."
	@echo "Make sure 'git status' looks ok, push, then switch back to 'master'"

.PHONY: test
test:
	@( cd testing && make )

.PHONY: upload
upload: twine-check
	BROPKG_PYPI_DIST=yes python setup.py bdist_wheel
	twine upload -u bro dist/bro_pkg-$(VERSION)-py2.py3-none-any.whl

.PHONY: twine-check
twine-check:
	@type twine > /dev/null 2>&1 || \
		{ \
		echo "Uploading to PyPi requires 'twine' and it's not found in PATH."; \
		echo "Install it and/or make sure it is in PATH."; \
		echo "E.g. you could use the following command to install it:"; \
		echo "\tpip install twine"; \
		echo ; \
		exit 1; \
		}

=== requirements.txt ===
# Requirements for general bro-pkg usage
GitPython
semantic_version
configparser
btest
# Requirements for development (e.g. building docs)
Sphinx
sphinxcontrib-napoleon
sphinx_rtd_theme

=== debian/changelog ===
bro-pkg (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * Remove patch for man page bug fixes (fixed upstream)

 -- Robert Haist <rhaist@mailbox.org>  Mon, 14 Jan 2019 15:48:20 +0100

bro-pkg (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Refresh patch for new version
  * d/control bump standards version

 -- Robert Haist <rhaist@mailbox.org>  Fri, 04 Jan 2019 21:08:12 +0100

bro-pkg (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * d/control bump standards version

 -- Robert Haist <rhaist@mailbox.org>  Fri, 14 Dec 2018 22:20:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-git,
                python3-semantic-version,
                btest
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: http://bro-package-manager.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/bro-team/bro-pkg.git
 Vcs-Browser: https://salsa.debian.org/bro-team/bro-pkg

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/package-manager-$1\.tar\.gz/ \
    https://github.com/bro/package-manager/releases .*/v?(\d\S+)\.tar\.gz

## bro-pkg 1.5.6

=== debian/changelog ===
bro-pkg (1.5.6-1) unstable; urgency=medium

  * New upstream version 1.5.6

 -- Robert Haist <rhaist@mailbox.org>  Thu, 28 Mar 2019 17:44:00 +0100

## bro-pkg 1.7.1

=== debian/changelog ===
bro-pkg (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1

 -- Robert Haist <rhaist@mailbox.org>  Thu, 02 May 2019 11:10:05 +0200

bro-pkg (1.7.0-1) unstable; urgency=medium

  * [ebe98d3] New upstream version 1.7.0

 -- Robert Haist <rhaist@mailbox.org>  Mon, 22 Apr 2019 14:46:01 +0200

bro-pkg (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

 -- Robert Haist <rhaist@mailbox.org>  Mon, 08 Apr 2019 14:18:01 +0200
